Subject: Re: [Bitcoin-development] Concerns Regarding Threats by a Developer to Remove Commit Access from Other Developers

From: [email-masked]
Date: Thu, 18 Jun 2015 17:04:54 +0000

On 2015-06-18 16:28, Jeff Garzik wrote:
> This is an engineering list.  The quote precisely describes how the 
> bitcoin
> consensus system functions.
> 
> Users' choice is largely binary:  Follow the rules, or bitcoin software
> ignores you.

Software engineers should understand that they have a binary choice: 
produce the software that your customers want, or the world will ignore 
your software.

There is *no inherent value* to Bitcoin's software rules. The only value 
that is exists is that produced by the individuals who voluntarily 
choose to run the software.

Failing to account for all design requirements is bad engineering. 
Nobody cares about the design features of a bridge to nowhere.